## List account stores `client.secretsStore.stores.list(StoreListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/secrets_store/stores` Lists all the stores in an account ### Parameters - `params: StoreListParams` - `account_id: string` Path param: Account Identifier - `direction?: "asc" | "desc"` Query param: Direction to sort objects - `"asc"` - `"desc"` - `order?: "name" | "comment" | "created" | 2 more` Query param: Order secrets by values in the given field - `"name"` - `"comment"` - `"created"` - `"modified"` - `"status"` - `page?: number` Query param: Page number - `per_page?: number` Query param: Number of objects to return per page ### Returns - `StoreListResponse` - `id: string` Store Identifier - `created: string` Whenthe secret was created. - `modified: string` When the secret was modified. - `name: string` The name of the store ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const storeListResponse of client.secretsStore.stores.list({ account_id: '985e105f4ecef8ad9ca31a8372d0c353', })) { console.log(storeListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created": "2023-09-21T18:56:32.624632Z", "modified": "2023-09-21T18:56:32.624632Z", "name": "service_x_keys" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```